package com.led.scroller.barrage.banner.ui

import android.os.Bundle
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity
import com.led.scroller.barrage.banner.sp.AppSP

abstract class BaseActivity : AppCompatActivity() {
    private val appSp by lazy { AppSP(this) }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
    }

    fun showToast(message: String) {
        Toast.makeText(this, message, Toast.LENGTH_SHORT).show()
    }
}